%define current_version 7.0.34

Name:           openvz-docs
Version:        %{current_version}
Release:        1%{?dist}
Summary:        Virtuozzo documentation

Group:          Documentation
License:        CC-BY-SA 4.0
URL:            http://sp.parallels.com
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  asciidoc fop docbook5-style-xsl-extensions docbook5-style-xsl xerces-j2 docbook5-schemas

%description
Documentation for Virtuozzo

%prep
%setup -q

%build
make -j8

%install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/pdf
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man7

cp -a *.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/pdf/
cp -a *.webhelp $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html/
install -p -m 0644 afterboot.7 $RPM_BUILD_ROOT%{_mandir}/man7

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/
%{_mandir}/*/*

%changelog
* Mon Jul 25 2016 Artem Pavlenko <apavlenko@virtuozzo.com> 7.0.34
 - Corrections
 - Restored accidentally deleted information
 - Correction
 - Added a known issue. Added a section on OpenStack
 - Sync with vz-docs
 - Fixes PSBM-49712
 - Added a section on virt-manager. Fixes PSBM-49608
 - Corrections
 - Fixes PSBM-49568
 - Corrections
 - Fixes PSBM-49373
 - Fixes PSBM-49520. Corrections
 - Install afterboot man page, see #PSBM-39305 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Thu Jun 30 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.32
 - Updated readme for RTM (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Corrected the swap formula (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Removed obsolete guides. (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Removed mentions of 'beta'. (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Updated the installation guide for VZ7. Fixes PSBM-45045. (Artem Pavlenko
<apavlenko@virtuozzo.com>)
 - Corrections to memory management section. References PSBM-45034. (Artem
Pavlenko <apavlenko@virtuozzo.com>)
 - Added a section on how to configure autoballooning. References PSBM-45034.
(Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Corrections to PSBM-47492 (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - References PSBM-45034 (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - References PSBM-45043 (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Minor correction for PSBM-24223 (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Corrections to backup restore sections (Artem Pavlenko
<apavlenko@virtuozzo.com>)
 - Added a section on ovztransfer. (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Added description of --remove-src. (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Intermediate commit for the license-related sections. (Artem Pavlenko
<apavlenko@virtuozzo.com>)
 - Added a section on OpenVZ to VZ migration (Artem Pavlenko
<apavlenko@virtuozzo.com>)
 - Corrections to the readykernel sections (Artem Pavlenko
<apavlenko@virtuozzo.com>)
 - Sync with git.sw.ru/vz-docs (Artem Pavlenko <apavlenko@virtuozzo.com>)
 - Fixes PSBM-45033 (Artem Pavlenko <apavlenko@virtuozzo.com>)

* Thu Jun 09 2016 Artem Pavlenko <apavlenko@odin.com> 7.0.31
- First build

* Mon Feb 29 2016 Artem Pavlenko <apavlenko@odin.com> 7.0.29
 - Minor changes
 - Corrected the list of supported guest OSs.
 - Corrected the list of supported guest OSs.
 - Updated for the beta. Fixes PSBM-41974.
 - Minor correction.
 - Minor changes.
 - Updated screenshots.
 - Fixes PSBM-43211
 - A minor formatting correction.
 - Described simfs support in known issues. References PSBM-40762
 - Changed product name to beta.
 - Fixes PSBM-43331, PSBM-43324, PSBM-40179
 - Updated the company website and the copyright year. (root
<root@localhost.localdomain>)
 - Corrected path for HTML docs

* Fri Dec 04 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.23
 - Fixed PSBM-35228, removed memory hotplug section until next milestone
 - Updated KSM section

* Wed Dec 02 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.22
 - Updated traffic shaping section (references PSBM-24239), removed the section
on migration
 - Added Network Bandwidth Management. Fixes PSBM-24239, PSBM-41619. Formatting
corrections. (Alena Migai <amigai@odin.com>)
 - Additions to PSBM-41619. Minor formatting corrections. (Alena Migai
<amigai@odin.com>)
 - Added information about Network Bandwidth Management. Fixes PSBM-24239,
PSBM-41619. Minor formatting corrections. (Alena Migai <amigai@odin.com>)
 - Fixes PSBM-24380
 - References PSBM-39259
 - Changed title for beta 2
 - Corrected the VM networking section
 - Minor corrections (Alena Migai <amigai@odin.com>)
 - Minor corrections (Alena Migai <amigai@odin.com>)
 - A minor formatting correction (Alena Migai <amigai@odin.com>)
 - Corrections to PSBM-41393 (Alena Migai <amigai@odin.com>)
 - Fixes PSBM-41393. Minor corrections (Alena Migai <amigai@odin.com>)
 - Fixes PSBM-41393. Minor corrections (Alena Migai <amigai@odin.com>)
 - Moved Google Analytics tracking code to </head>.
 - Added Google Analytics tracking code.
 - Added Google Analytics tracking code.
 - Added the reference guide, removed upgrade guide (for the time being).
 - Make new Virtuozzo guides available via index page (Sergey Bronnikov
<sergeyb@openvz.org>)

* Wed Nov 11 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.21
 - Fixed broken search in webhelp
 - Minor corrections
 - Fixes PSBM-35260, PSBM-35245 (Alena Migai <amigai@odin.com>)
 - Removed period after list title
 - Minor corrections (Alena Migai <amigai@odin.com>)
 - Added information about virtual machines. Fixes PSBM-40486. References
PSBM-24380 (root <root@localhost.localdomain>)
 - Minor formatting corrections
 - Minor formatting corrections
 - Corrected formatting, replaced a GIF with a PNG for PDF
 - Fixed a broken link
 - Formatting corrections
 - Replaced the GIF image with a PNG one for better DPI handling in PDF
 - Formatting corrections
 - Minor formatting correction
 - Corrected formatting
 - Changed DPI to 96
 - Initial commit
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)

* Tue Nov 10 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.20
 - Fixes PSBM-35260, PSBM-35245 (Alena Migai <amigai@odin.com>)
 - Removed period after list title
 - Minor corrections (Alena Migai <amigai@odin.com>)
 - Added information about virtual machines. Fixes PSBM-40486. References
PSBM-24380 (root <root@localhost.localdomain>)
 - Minor formatting corrections
 - Minor formatting corrections
 - Corrected formatting, replaced a GIF with a PNG for PDF
 - Fixed a broken link
 - Formatting corrections
 - Replaced the GIF image with a PNG one for better DPI handling in PDF
 - Formatting corrections
 - Minor formatting correction
 - Corrected formatting
 - Changed DPI to 96
 - Initial commit
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)
 - Initial commit (Alena Migai <amigai@odin.com>)

* Fri Jul 31 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.17
 - Makefile: remove target for build.xml
 - Makefile doesn't use saxon anymore (#PSBM-35186)
 - Remove ant dep

* Wed Jul 29 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.16
 - Removed a mention of user bean counters
 - Fixed #PSBM-35265, #PSBM-35267, #PSBM-35268
 - A minor correction.
 - Minor corrections
 - Minor corrections
 - Fixed #PSBM-24380, #PSBM-24383, #PSBM-27287, #PSBM-33727, #PSBM-35211,
#PSBM-35212, #PSBM-35217, #PSBM-35218, #PSBM-35219, #PSBM-35221, #PSBM-35222,
#PSBM-35225, #PSBM-35226, #PSBM-35227, #PSBM-35229, #PSBM-35230, #PSBM-35231,
#PSBM-35232, #PSBM-35237, #PSBM-35240, #PSBM-35256 (root
<root@dhcp-10-30-25-56.sw.ru>)
 - A minor tweak for building webhelp with xsltproc.

* Wed Jul 29 2015 Artem Pavlenko <apavlenko@odin.com> 7.0.15
 - A minor correction.
 - Minor corrections
 - Minor corrections
 - Fixed #PSBM-24380, #PSBM-24383, #PSBM-27287, #PSBM-33727, #PSBM-35211,
#PSBM-35212, #PSBM-35217, #PSBM-35218, #PSBM-35219, #PSBM-35221, #PSBM-35222,
#PSBM-35225, #PSBM-35226, #PSBM-35227, #PSBM-35229, #PSBM-35230, #PSBM-35231,
#PSBM-35232, #PSBM-35237, #PSBM-35240, #PSBM-35256 (root
<root@dhcp-10-30-25-56.sw.ru>)
 - A minor tweak for building webhelp with xsltproc.

* Fri Jul 24 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.14
 - Added saxon-6.5.5 to source list.

* Fri Jul 24 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.13
 - saxon archive is added. again.

* Fri Jul 24 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.12
 - Makefile: fixed schema location for docbookx.dtd
 - Webhelp is reenabled

* Fri Jul 24 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.11
 - Add readme to package

* Fri Jul 24 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.8
 - Fixes #PSBM-24383, references #PSBM-24380 (Artem Pavlenko
   <apavlenko@odin.com>)
 - Added docbook (Artem Pavlenko <apavlenko@odin.com>)
 - Reconfigured webhelp to use saxon6.5.5 and xerces-j2 from standard
   repositories (Artem Pavlenko <apavlenko@odin.com>)
 - Added CC-BY-SA 4.0 (Artem Pavlenko <apavlenko@odin.com>)
 - Add README (Sergey Bronnikov <sergeyb@openvz.org>)
 - Updated stylesheets, added Virtuozzo 7 Beta User's Guide, removed files not
   needed in beta. (Artem Pavlenko <apavlenko@odin.com>)
 - Add index files with list of available documentation (Sergey Bronnikov
   <sergeyb@openvz.org>)
 - Drop webhelp gen

* Fri Jul 17 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.7
 - Added simple Makefile and .gitignore
 - Removed unnecessary file (Artem Pavlenko <apavlenko@odin.com>)

* Wed Jul 15 2015 Daniil Guzanov <dguzanov@virtuozzo.com> 7.0.0-1
 - Initial spec

